<?php

  /*
      v0.2  2011/07/25 (Seg) 16:24:01 (BRS)
      v0.1  2009/08/16 (Dom) 20:18:25 (BRS)
  */

  $title           = "HTML5/SVG Piano";

  include('common.inc.php');

  $instruments     = include('instruments.inc.php');
  $instrument_list = '';
  foreach(array_keys($instruments) as $id) $instrument_list .= "<option value=\"$id\">{$instruments[$id]}</option>";

  $musics     = include('musics.inc.php');
  $music_list = '';
  foreach($musics as $music) $music_list .= "<option value=\"$music[1]\">{$music[0]}</option>";

  $vxht_alt        = 'HTML 5 + MathML 2.0 + SVG 1.1';
  $vxht_url        = "http://validator.w3.org/check?uri=referer";

  $vcss_warning    = 2;
  $vcss_profile    = "css3";
  $vcss_usermedium = "all";
  $vcss_lang       = "pt-BR";
  $vcss_alt        = "CSS 3";
  $vcss_url        = "http://jigsaw.w3.org/css-validator/check?uri=referer&amp;warning=$vcss_warning&amp;profile=$vcss_profile&amp;usermedium=$vcss_usermedium&amp;lang=$vcss_lang";

  $vjs_alt         = "JavaScript";
  $vjs_url         = "http://www.jslint.com/";

# $encoding        = "ISO-8859-1";
  $encoding        = "UTF-8";

?>
<!DOCTYPE html>

<html>

<head>

  <title><?=$title?></title>

  <meta charset="<?=$encoding?>" />

  <link rel="shortcut icon" type="image/x-icon"  href="favicon.ico" />
  <link rel="shortcut icon" type="image/svg+xml" href="favicon.svg" />


  <style type="text/css">

    #mouselayer
    {
      display:none;
    }

    body
    {
      color: black;
      background: white;
      font-family: sans-serif;
      font-size: 10pt;
      margin: 0px;
    }

    a
    {
      color: blue;
      background: white;
      text-decoration: none;
      outline: none;
    }

/*
    a:hover
    {
      text-decoration: underline;
    }
*/

    #keyboard-svg
    {
      margin: 0 10px;
    }

    #music-container
    {
      display: inline-block;
      position: relative;
      margin-left: 50px;
    }

    #music
    {
      vertical-align: middle;
      border: 1px solid black;
      padding: 0 3px;
      width: 600px;
    }

    #colecao
    {
      border: 1px solid black;
      padding: 0;
      width: 608px;
    }

    #buttons
    {
      position: absolute;
      right: 0;
      bottom: 0;
      display: inline-block;
      height: 15px;
    }

    #buttons a
    {
      display: inline-block;
      height: 15px;
      margin-left: 3px;
    }

    #play,
    #stop,
    #limpar,
    #instrumento
    {
      vertical-align: middle;
    }

    #instrumento
    {
      padding: 0 0 0 2px;
    }

  </style>



  <script type="text/javascript">

    window.onload   = function()
    {
      $('colecao').onchange = function()
      {
        $('music').value = $('colecao').options[$('colecao').selectedIndex].value;
      }
      audio = $('audio');
      music = $('music');
      instrumento = $('instrumento');
      notes = [ 'c', 'd', 'e', 'f', 'g', 'a', 'b' ];
      var instr = instrumento.options[instrumento.selectedIndex].value;
      audio.src = 'audio.ogg?nome=close-theme&X=1&M=4/4&L=1/8&Q=1/4=77&K=C&instr='+instr+'&notes=a+b+g2+G2+d4';
      window.onresize  = setSize;
      window.onkeydown = readKey;
      setSize();
    }


    function $(id)
    {
      return document.getElementById(id);
    }


    function setSize()
    {

      var svg    = $('keyboard-svg');
      var group  = $('keyboard-group');

      var width  = window.innerWidth - 20;
      var scale  = width/1612;
      var attr   = 'translate(317.95901,47.331836)';

      svg.setAttribute('width' , width);
      svg.setAttribute('height', 677*scale);

      group.setAttribute('transform', 'scale(' + scale + ') ' + attr );

    }


    function toque(tom,duração,log)
    {

      var t = tom.substr(0,1);		// tom
      var o = tom.substr(1,1);		// oitava
      var a = tom.substr(2,1);		// acidente
      var q;				// quantidade
      var c;				// caracter

      switch(a)
      {
        case 's': a = '^'; break;	// sustenido (sharp)
        case 'f': a = '_'; break;	// bemol (flat)
      }

      if (o<=4)
      {
        t = t.toUpperCase();
        q = 4-o;
        c = ",";
      }
      else
      {
        t = t.toLowerCase();
        q = o-5;
        c = "'";
      }

      var name  = tom+','+duração;
      var abc   = a+t+Array(q+1).join(c);
   // var pref  = 'http://svl.lsd.org.br:8080/appsweb/play/';
      var pref  = '';
      var instr = instrumento.options[instrumento.selectedIndex].value;
      var url   = pref + 'audio.ogg?'+name+'+'+instr+'+'+abc+duração;

      var keybkey  = $(tom)
      var keycolor = tom.length==3 ? 'preta' : 'branca' ;
      keybkey.setAttribute('xlink:href', '#p-'+keycolor);
      setTimeout( function(){ keybkey.setAttribute('xlink:href', '#'+keycolor) } , 500 );

      if (log===undefined||log) music.value += tom+' ';

      audio.setAttribute('src', url);
   // audio.play();

    }


    function readKey(ev)
    {
      key = ev.which - 49;
      if ( key>=0 && key<=6 )
      {
        var oct = 4;
        if ( ev.shiftKey ) oct ++;
        if ( ev.ctrlKey  ) oct --;
     // if ( ev.altKey   )
        var tom = notes[key]+oct;
        toque(tom,1);
      }
    }


    function play()
    {
      var tones    = $('music').value.split(' ');
      tout_ids = new Array();
      for(var i in tones) tout_ids[i] = setTimeout( 'toque("'+tones[i]+'",1,false)', 1000*i );
    }


    function stop()
    {
      for(var i in tout_ids) clearTimeout(tout_ids[i]);
    }

  </script>



</head>

<body>

<audio id="audio" src="audio.ogg" autoplay="autoplay"></audio>

<svg id="keyboard-svg">



  <defs>

    <rect id="guia"     width="30"  height="476" rx="3" ry="3" />
    <rect id="borda"    width="209" height="29"  rx="3" ry="3" fill="none"    stroke="#000000" stroke-width="1" stroke-linecap="square" />

    <rect id="branca"   width="30"  height="200" rx="3" ry="3" fill="#ffffff" stroke="#000000" stroke-width="1" stroke-linecap="square" />
    <rect id="preta"    width="19"  height="129" rx="2" ry="2" fill="#000000" stroke="#000000" stroke-width="1" stroke-linecap="square" />

    <rect id="p-branca" width="30"  height="200" rx="3" ry="3" fill="red" stroke="#000000" stroke-width="1" stroke-linecap="square" />
    <rect id="p-preta"  width="19"  height="129" rx="2" ry="2" fill="red" stroke="#000000" stroke-width="1" stroke-linecap="square" />

    <line id="linha"      x1="-318" y1="396.2" x2="1293" y2="396.2" stroke-width="1" stroke-linecap="square" />
    <line id="linha-supl" x1="4"    y1="396.2" x2="33"   y2="396.2" stroke-width="1" stroke-linecap="square" />

    <g id="pentagrama">
      <use xlink:href="#linha" x="0" y="-56" />
      <use xlink:href="#linha" x="0" y="-42" />
      <use xlink:href="#linha" x="0" y="-28" />
      <use xlink:href="#linha" x="0" y="-14" />
      <use xlink:href="#linha" x="0" y="0"   />
    </g>

    <path id="dobr-sust" d="M 119.57294,149.76995 C 118.59351,149.61623 117.59786,149.61645 116.60868,149.61759 C 116.5877,148.89382 116.70326,148.12421 116.41627,147.44491 C 116.22522,146.99268 115.86137,146.63587 115.53786,146.26907 C 115.02164,146.73074 114.59762,147.34 114.55699,148.04885 C 114.51702,148.57056 114.5463,149.09481 114.5372,149.61759 C 113.54814,149.63255 112.54871,149.5847 111.57294,149.779 C 111.7611,148.80874 111.71834,147.81595 111.73539,146.8334 C 112.48854,146.81304 113.29458,146.92168 113.99406,146.59402 C 114.40682,146.40064 114.75631,146.0976 115.1064,145.80935 C 114.65067,145.29321 114.05888,144.83848 113.34314,144.79568 C 112.80858,144.75347 112.27116,144.78424 111.73539,144.77496 C 111.70182,143.79965 111.81567,142.81174 111.61322,141.84873 C 112.57783,142.02296 113.5618,141.97825 114.5372,141.99079 C 114.55168,142.68544 114.47404,143.40542 114.67016,144.07433 C 114.8198,144.58484 115.22731,144.97758 115.56774,145.38062 C 116.04832,144.96182 116.4817,144.43641 116.56109,143.77916 C 116.63294,143.18424 116.57591,142.58669 116.60868,141.99079 C 117.59111,141.96497 118.60381,142.08984 119.55474,141.779 C 119.41282,142.76982 119.39946,143.7757 119.4105,144.77496 C 118.7093,144.79476 117.97366,144.71697 117.30701,144.9531 C 116.8006,145.13247 116.40246,145.52489 115.99919,145.87133 C 116.43642,146.31856 116.96307,146.73103 117.61467,146.7919 C 118.21206,146.84772 118.812,146.82245 119.4105,146.8334 C 119.42531,147.81311 119.37685,148.80367 119.57294,149.76995 z" />
    <path id="sustenido" d="M 99.18211,113.13209 L 99.18211,107.18787 L 101.91996,106.49033 L 101.91996,112.40423 L 99.18211,113.13209 z M 104.57294,111.69405 L 102.69067,112.19194 L 102.69067,106.27803 L 104.57294,105.79279 L 104.57294,103.33625 L 102.69067,103.82149 L 102.69067,97.77899 L 101.91996,97.77899 L 101.91996,104.00472 L 99.18211,104.73132 L 99.18211,98.855631 L 98.45521,98.855631 L 98.45521,104.95498 L 96.57294,105.44149 L 96.57294,107.90308 L 98.45521,107.41785 L 98.45521,113.32038 L 96.57294,113.80436 L 96.57294,116.25585 L 98.45521,115.77061 L 98.45521,121.77899 L 99.18211,121.77899 L 99.18211,115.55579 L 101.91996,114.86077 L 101.91996,120.70614 L 102.69067,120.70614 L 102.69067,114.6409 L 104.57294,114.15439 L 104.57294,111.69405 z" />
    <path id="bemol"     d="M 71.691605,116.08146 C 71.691605,116.79008 71.34881,117.46881 70.408361,118.37972 C 69.412035,119.34477 68.573339,119.89713 67.46819,120.5466 L 67.46819,116.31684 C 67.719431,115.82511 68.089935,115.42705 68.581289,115.12141 C 69.071052,114.817 69.567175,114.66419 70.069661,114.66419 C 70.899714,114.66419 71.426051,115.02899 71.653442,115.7561 C 71.678883,115.81525 71.691605,115.92371 71.691605,116.08146 z M 71.572345,113.1237 C 70.886994,113.1237 70.190511,113.27035 69.481309,113.56489 C 68.772106,113.8582 68.101067,114.25134 67.46819,114.7406 L 67.46819,105.779 L 66.57294,105.779 L 66.57294,121.12829 C 66.57294,121.5621 66.725595,121.779 67.030901,121.779 C 67.207407,121.779 67.426708,121.66438 67.754415,121.51281 C 68.682009,121.08373 69.260175,120.79701 69.888385,120.49453 C 70.60493,120.14951 71.41174,119.7466 72.478724,118.95788 C 73.214959,118.38481 73.747658,117.80682 74.078407,117.22512 C 74.407566,116.6422 74.57294,116.06544 74.57294,115.49236 C 74.57294,114.64447 74.281945,114.04183 73.699954,113.68566 C 73.041635,113.31103 72.330841,113.1237 71.572345,113.1237 z" />
    <g    id="dobr-bem"><use x="0" y="0" xlink:href="#bemol" /><use x="10" y="0" xlink:href="#bemol" /></g>

    <g id="bequadro" transform="matrix(1,0,0,0.9599998,0,0)">
      <path id="bequadro-pd"  d="M 81.57294,148.77901 L 81.57294,167.74126 L 88.430083,166.5463 L 88.430083,173.779 L 89.57294,173.779 L 89.57294,154.87963 L 82.715797,156.0746 L 82.715797,148.77901 L 81.57294,148.77901 z M 88.430083,158.43309 L 88.430083,162.67837 L 82.715797,163.62177 L 82.715797,159.37648 L 88.430083,158.43309 z" />
      <path id="abre-parent"  d="M 79.662804,173.77899 C 78.518406,172.14874 77.550665,170.24101 76.759578,168.05579 C 75.968486,165.87057 75.572941,163.6073 75.572942,161.26599 C 75.572941,159.20218 75.868639,157.22507 76.460039,155.33468 C 77.15128,153.14079 78.218867,150.95557 79.662804,148.779 L 81.148979,148.779 C 80.219633,150.5827 79.605195,151.87041 79.305661,152.64216 C 78.837146,153.83885 78.468483,155.08755 78.19967,156.38826 C 77.869405,158.00985 77.704275,159.64009 77.704278,161.27899 C 77.704275,165.45 78.852507,169.61666 81.148979,173.77899 L 79.662804,173.77899 z" />
      <path id="fecha-parent" d="M 91.48308,173.77899 L 89.996904,173.77899 C 92.293368,169.61666 93.4416,165.45 93.441605,161.27899 C 93.4416,159.64876 93.27647,158.03152 92.946213,156.42728 C 92.685073,155.12656 92.32025,153.87786 91.851743,152.68119 C 91.552201,151.90076 90.933922,150.60004 89.996904,148.779 L 91.48308,148.779 C 92.927008,150.95557 93.994595,153.14079 94.685846,155.33468 C 95.277239,157.22507 95.572931,159.20218 95.57294,161.26599 C 95.572931,163.6073 95.175466,165.87057 94.380546,168.05579 C 93.585609,170.24101 92.619788,172.14874 91.48308,173.77899 L 91.48308,173.77899 z" />
    </g>

    <path id="d-0" transform="scale(0.921533,1.085148)" d="M 62.65208,372.9040 C 63.176598,372.90   63.63470,373.03   64.02639,373.30506 C 64.41808,373.5724   64.73654,373.9922   64.98177,374.5644 C 65.227002,375.1366   65.34,375.8297   65.349623,376.6437 C 65.34961,377.84951   65.04818,378.7878   64.44533,379.4588 C 63.95486,380.0037   63.3349,380.2762   62.58566,380.2762 C 62.078168,380.2762   61.62857,380.140   61.23689,379.8701 C 60.84520,379.59933   60.528444,379.19317   60.28662,378.65161 C 60.04479,378.11006   59.923881,377.4220   59.92388,376.58759 C 59.92388,375.74631   60.042239,375.06   60.27895,374.5286 C 60.515672,373.9973   60.83838,373.593   61.24710,373.3178 C 61.6558,373.04196   62.12414,372.9040   62.65208,372.90401 L 62.65208,372.90401 z M 62.626535,373.4098 C 62.272309,373.4098   61.96066,373.53923   61.69159,373.79808 C 61.45657,374.0228   61.27094,374.3771   61.134711,374.8607 C 60.978034,375.4125   60.89969,376.022   60.89969,376.68976 C 60.89969,377.2074   60.948232,377.6766   61.045304,378.0972   C 61.14237,378.51793   61.27094,378.8449   61.431032,379.07821 C 61.591112,379.31153   61.77248,379.484   61.975139,379.59678 C 62.177793,379.7091   62.391518,379.76537     62.61631,379.76537 C 62.953506,379.7653   63.26856,379.6342   63.561479,379.3719 C 63.796488,379.157   63.982114,378.8372     64.118358,378.411 C 64.281841,377.8937   64.36358,377.2858   64.36358,376.5875 C 64.36358,375.8655   64.28013,375.25244   64.11324,374.74835 C 63.946351,374.2442   63.74114,373.8951   63.49761,373.701 C 63.2540,373.5068 62.96372,373.4098   62.6265,373.4098 L 62.626535,373.4098 z" />
    <path id="d-1" transform="scale(1.028796,0.972010)" d="M 56.51377,416.3209 L 56.956263,416.32 L 56.95626,423.15 C 56.95625,423.47555   56.97690,423.6830   57.01821,423.7754 C 57.05950,423.8679   57.127356,423.9377   57.22,423.9849 C 57.316152,424.0321   57.50298,424.05571   57.78225,424.0557 L 58.36044,424.0557 L 58.36044,424.5513 L 54.4724,424.5513 L 54.47240,424.0557 L 55.115493,424.0557 C 55.39475,424.055   55.58059,424.0311   55.67303,423.98196 C 55.765462,423.93279   55.83724,423.85413   55.88838,423.74596 C 55.939509,423.6378   55.96507,423.44015   55.96507,423.15302 L 55.965079,417.53 L 54.47240,417.5363 L 54.472403,417.0289 C 55.28658,416.914   55.96704,416.6788   56.5137,416.32093 L 56.51377,416.3209 z" />
    <path id="d-2" transform="scale(0.950146,1.052469)" d="M 58.60164,387.3397 L 58.099733,387.40 C 58.07213,387.15   58.05833,386.95687   58.05833,386.8016 C 58.05833,386.3945   58.16872,386.0099   58.389499,385.6477 C 58.61,385.2855   58.918147,385.0026   59.31312,384.79914 C 59.70810,384.5956   60.16086,384.4938   60.67140,384.4938 C 61.1646,384.4938   61.59761,384.5895   61.970172,384.7810 C 62.34272,384.972   62.62817,385.2346   62.82653,385.56754 C 63.024878,385.90043   63.12405,386.28075   63.12405,386.70849 C 63.124053,387.0707   63.05937,387.40617   62.93002,387.71491 C 62.800655,388.02   62.59281,388.3349   62.306506,388.6488 C 62.09262,388.883   61.65970,389.2422   61.0077,389.72516 C 60.18673,390.3391   59.55718,390.78418   59.119087,391.0601   L 61.80976,391.06015 C 62.127123,391.0601   62.33409,391.03083   62.43069,390.97218 C 62.56522,390.8962   62.65663,390.7203   62.704934,390.4443 L 62.751503,390.1494 L 63.19132,390.149 L 62.83946,392.09502 L 62.50830,392.0950 L 62.451389,391.8363 L 57.928979,391.8363   L 57.92897,391.40166 L 58.75688,390.7755 C 59.384703,390.30986   59.845223,389.95283   60.13844,389.704 C 60.693821,389.23532   61.112083,388.8343   61.393228,388.50141   C 61.67436,388.16853   61.867542,387.8684   61.97275,387.6010 C 62.077966,387.3337   62.130573,387.053   62.130577,386.7602   C 62.130573,386.273   61.974479,385.8754   61.66229,385.5649 C 61.35010,385.2545   60.94391,385.0992   60.44372,385.09926 C 60.08496,385.09926   59.76502,385.17688   59.48388,385.3321 C 59.20273,385.487   58.9811,385.7046 58.81897,385.9840 C 58.6568,386.2635   58.575775,386.5653   58.575777,386.889 C 58.575775,387.0103   58.58439,387.16039 58.601648,387.33977 L 58.601648,387.33977 z" />
    <path id="d-3" transform="scale(0.934831,1.069711)" d="M 59.76940,380.3541 L 59.271865,380.27 C 59.31678,379.90   59.41352,379.59399   59.56209,379.3486 C 59.75903,379.0169   60.03717,378.7587   60.396514,378.5738 C 60.75,378.3890   61.168735,378.2965   61.63518,378.29658 C 62.09471,378.2965   62.49896,378.3786   62.84793,378.5427 C 63.1969,378.7068   63.46035,378.9245   63.638299,379.1957 C 63.81623,379.467   63.90520,379.7598   63.90520,380.07425 C 63.905204,380.35067   63.83782,380.59771   63.70308,380.81538 C 63.568328,381.0330   63.36793,381.22827   63.10188,381.40103 C 62.915307,381.52   62.67172,381.6273   62.371127,381.7171 C 62.69245,381.762   62.95504,381.8363   63.1588,381.94003 C 63.49058,382.1093   63.75145,382.34255   63.941488,382.6396   C 64.13151,382.93684   64.226531,383.2633   64.22653,383.61923 C 64.22653,384.18933   63.97603,384.6911   63.47504,385.1248 C 62.974044,385.5584   62.326206,385.7752   61.53152,385.775 C 60.74720,385.77523   60.08727,385.5662   59.551732,385.1481 C 59.102563,384.7922     58.87797,384.43464   58.87797,384.0753 C 58.877979,383.93365   58.923759,383.81531   59.01532,383.720 C 59.106882,383.62527   59.221765,383.5777   59.359972,383.57776   C 59.51199,383.57777   59.641564,383.6365   59.74867,383.7539 C 59.807411,383.8196   59.874786,383.976   59.950801,384.2256   C 60.057908,384.574   60.239303,384.8406   60.49498,385.0237 C 60.75066,385.2068   61.06853,385.2984   61.44860,385.29842 C 61.78720,385.29842   62.09039,385.22414   62.35817,385.0755 C 62.62593,384.927   62.8375,384.7162 62.99305,384.4432 C 63.1485,384.1703   63.226269,383.8714   63.226274,383.546 C 63.226269,383.2840   63.17012,383.04827 63.057836,382.83923 C 62.945539,382.63019   62.78573,382.45312   62.57843,382.308 C 62.4194,382.19398     62.216505,382.11452   61.969467,382.0696 C 61.722421,382.02468   61.500428,382.00222 61.303488,382.0022 L 60.821496,382.0022 L 60.82149,381.4995 L 61.127276,381.4995 C 61.431325,381.4995 61.721557,381.46409 61.997971,381.39325 C 62.274379,381.32243   62.4955,381.17645 62.661358,380.9553 C 62.827201,380.73419   62.910124,380.48369 62.910129,380.20382 C 62.910124,379.96197   62.85225,379.74429 62.736508,379.5508 C 62.620756,379.35732   62.450591,379.2035 62.226011,379.08954 C 62.001423,378.97552   61.742288,378.91851 61.448604,378.91851 C 61.161825,378.9185   60.89837,378.97725 60.658241,379.09472 C 60.418106,379.2122   60.225482,379.36941 60.080368,379.56635 C 59.935251,379.76329 59.831597,380.02589 59.769406,380.35412 L 59.769406,380.35412 z" />
    <path id="d-4" transform="scale(0.895184,1.117088)" d="M 64.858451,362.2528 L 65.726042,362.2528 L 65.726042,366.41621 L 67.071065,366.41621 L 67.071065,367.05792 L 65.726042,367.05792 L 65.726042,369.41428 L 64.858451,369.41428 L 64.858451,367.05792 L 61.485625,367.05792 L 61.485625,366.15439 L 64.858451,362.2528 z M 64.858451,366.41621 L 64.858451,363.04852 L 61.95279,366.41621 L 64.858451,366.41621 z" />
    <path id="d-5" transform="scale(0.955476,1.046598)" d="M 58.251463,386.90613 L 61.49019,386.90613 C 61.688049,386.90613 61.807809,386.89572 61.84947,386.87488 C 61.908477,386.84018 61.94319,386.76555 61.953609,386.65099 L 62.333717,386.65099 L 62.333717,387.74965 L 58.73571,387.74965 L 58.647191,389.5825 C 58.796455,389.54085 58.985641,389.50614 59.21475,389.47836 C 59.509808,389.44365 59.773627,389.4263 60.006207,389.42629 C 60.585911,389.4263 61.090985,389.53044 61.521431,389.73871 C 61.951868,389.94699 62.279038,390.23251 62.502943,390.59525 C 62.726836,390.95801 62.838785,391.36328 62.838791,391.81108 C 62.838785,392.50534 62.578438,393.09286 62.057748,393.57363 C 61.537047,394.05441 60.874029,394.2948 60.06869,394.2948 C 59.603533,394.2948 59.182638,394.21149 58.806003,394.04486 C 58.429365,393.87824 58.135173,393.65868 57.923424,393.38618 C 57.711674,393.11369 57.605799,392.87504 57.6058,392.67023 C 57.605799,392.53485 57.650926,392.41769 57.741181,392.31876 C 57.831434,392.21983 57.947722,392.17036 58.090047,392.17036 C 58.23584,392.17036 58.364278,392.23111 58.475362,392.3526 C 58.537843,392.41509 58.612476,392.56782 58.699261,392.81081 C 58.817283,393.151 58.992584,393.40094 59.225163,393.56062 C 59.454267,393.72377 59.742385,393.80534 60.089518,393.80534 C 60.436645,393.80534 60.745591,393.72984 61.016357,393.57884 C 61.287114,393.42784 61.500599,393.21088 61.656812,392.92797 C 61.813016,392.64506 61.89112,392.33004 61.891125,391.98291 C 61.89112,391.61842 61.806941,391.29386 61.638588,391.00921 C 61.470225,390.72456 61.22897,390.50414 60.914821,390.34792 C 60.600664,390.19172 60.217953,390.11362 59.766687,390.11361 C 59.492451,390.11362 59.198258,390.14312 58.884108,390.20213 C 58.569953,390.26115 58.300059,390.33578 58.074426,390.42603 L 58.251463,386.90613 z" />
    <path id="d-6" transform="scale(0.926544,1.079279)" d="M 64.046951,374.94294 L 64.046951,375.40974 C 63.202264,375.42 62.519165,375.54311 61.997654,375.77907 C 61.476136,376.01504 61.092267,376.36813 60.846046,376.83834 C 60.599821,377.30857 60.46132,377.88736 60.430544,378.57473 C 60.60495,378.30799 60.783633,378.10024 60.966593,377.95148 C 61.149548,377.80272 61.363284,377.68816 61.6078,377.60779 C 61.85231,377.52743 62.119907,377.48725 62.410591,377.48725 C 62.875676,377.48725 63.289468,377.58984 63.651968,377.79503 C 64.014458,378.00022 64.296589,378.27807 64.498361,378.62859 C 64.700122,378.97912 64.801005,379.39206 64.801011,379.86741 C 64.801005,380.62318 64.57359,381.21651 64.118766,381.6474 C 63.616055,382.11933 62.96459,382.35529 62.164368,382.35529 C 61.586424,382.35529 61.099107,382.2356 60.702416,381.99621 C 60.305721,381.75683 59.990247,381.39092 59.755994,380.89847 C 59.521739,380.40602 59.404612,379.7973 59.404613,379.07231 C 59.404612,378.3439 59.528579,377.69757 59.776513,377.1333 C 60.024445,376.56904 60.367277,376.11592 60.805009,375.77394 C 61.242737,375.43197 61.722359,375.20798 62.243877,375.10196 C 62.765388,374.99595 63.233041,374.94294 63.646838,374.94294 L 64.046951,374.94294 z M 62.174627,378.03099 C 61.682177,378.03099 61.27779,378.21737 60.961463,378.59012 C 60.645133,378.96288 60.486968,379.41087 60.48697,379.93409 C 60.486968,380.30343 60.563913,380.64455 60.717805,380.95746 C 60.871692,381.27037 61.070039,381.50291 61.312845,381.65509 C 61.555646,381.80727 61.829227,381.88336 62.13359,381.88336 C 62.605514,381.88336 62.997932,381.70468 63.310846,381.34731 C 63.62375,380.98995 63.780204,380.51032 63.780209,379.90844 C 63.780204,379.33393 63.628025,378.87739 63.32367,378.53883 C 63.019306,378.20027 62.636292,378.03099 62.174627,378.03099 L 62.174627,378.03099 z" />
    <path id="d-7" transform="scale(0.922490,1.084022)" d="M 60.22705,373.3026 L 60.563893,373.3026 L 60.625137,373.56289 L 65.085755,373.56289 L 65.085755,373.9967 C 64.551564,374.61255 64.067565,375.31431 63.633757,376.10197 C 63.19994,376.88964 62.863948,377.69177 62.62578,378.50836 C 62.452251,379.09698 62.31105,379.82171 62.202174,380.68253 L 61.15592,380.68253 C 61.257991,379.92378 61.425562,379.21437 61.658632,378.55429 C 61.891698,377.89422 62.22854,377.20437 62.669161,376.48475 C 63.109775,375.76513 63.644811,375.04637 64.274269,374.32844 L 61.094676,374.32844 C 60.863307,374.32845 60.705093,374.34036 60.620033,374.36417 C 60.53497,374.38799 60.468623,374.42542 60.42099,374.47645 C 60.373354,374.52749 60.332524,374.61766 60.298501,374.74694 L 60.272983,374.84391 L 60.099458,375.44615 L 59.665645,375.35428 L 60.22705,373.3026 z" />
    <path id="d-8" transform="scale(0.931229,1.073849)" d="M 62.600928,380.16874 C 63.007059,380.32363 63.316823,380.46991 63.530221,380.60758 C 63.843422,380.80721 64.079187,381.04211 64.237516,381.31229 C 64.395835,381.58248 64.474996,381.87589 64.475002,382.19254 C 64.474996,382.76044 64.230627,383.25176 63.741894,383.6665 C 63.25315,384.08124 62.594041,384.28861 61.764565,384.28861 C 60.886897,384.28861 60.198532,384.05457 59.699469,383.58648 C 59.303658,383.21132 59.105754,382.78625 59.105754,382.31128 C 59.105754,381.92924 59.239985,381.58678 59.508448,381.2839 C 59.831978,380.92251 60.293182,380.64028 60.892062,380.43721 C 60.423972,380.21693 60.086673,379.99321 59.880165,379.76605 C 59.615143,379.46662 59.482633,379.10695 59.482634,378.68704 C 59.482633,378.16733 59.678817,377.74743 60.071186,377.42733 C 60.55304,377.03497 61.155359,376.83878 61.878145,376.83878 C 62.538971,376.83878 63.073314,377.00829 63.481175,377.34731 C 63.889026,377.68633 64.092954,378.0744 64.09296,378.5115 C 64.092954,378.72834 64.042187,378.93571 63.940659,379.13361 C 63.83912,379.33152 63.683377,379.51566 63.473431,379.68603 C 63.263475,379.8564 62.972641,380.01731 62.600928,380.16874 L 62.600928,380.16874 z M 62.131119,379.97772 C 62.523483,379.68173 62.778178,379.47522 62.895204,379.35819 C 63.012222,379.24118 63.10257,379.10781 63.166248,378.95808 C 63.229917,378.80837 63.261754,378.66295 63.261759,378.52183 C 63.261754,378.31877 63.201522,378.12517 63.081063,377.94102 C 62.960595,377.75689 62.784201,377.60803 62.551882,377.49444 C 62.319555,377.38087 62.058837,377.32408 61.769727,377.32407 C 61.342938,377.32408 60.98843,377.44196 60.706203,377.67772 C 60.423972,377.91349 60.282857,378.18626 60.282859,378.49602 C 60.282857,378.74383 60.370623,378.96583 60.546158,379.16201 C 60.721689,379.3582 61.048662,379.55094 61.527079,379.74024 L 62.131119,379.97772 z M 61.403173,380.63855 C 60.917873,380.85195 60.53411,381.12902 60.251882,381.46975 C 60.031604,381.73822 59.921465,382.01701 59.921467,382.30612 C 59.921465,382.69849 60.095277,383.04697 60.442903,383.35157 C 60.790526,383.65617 61.239683,383.80847 61.790378,383.80847 C 62.351392,383.80847 62.81948,383.63466 63.194643,383.28704 C 63.500961,383.00481 63.654122,382.70193 63.654127,382.3784 C 63.654122,382.1237 63.553449,381.88019 63.352107,381.64787 C 63.150755,381.41555 62.776457,381.18925 62.229211,380.96897 L 61.403173,380.63855 z" />

    <path id="l-C" transform="scale(0.929207,1.076186)" d="M 55.06726,378.1880 L 55.994535,378.18 L 57.63014,384.17 L 56.43241,384.51157 C 55.78845,383.1292   55.29906,382.2019   54.96422,381.7297 C 54.414718,380.9656   53.72,380.3603   52.910058,379.9138 C 52.09009,379.46738   51.18643,379.2441   50.19906,379.2441 C 49.03996,379.2441   47.9731,379.5553   46.99868,380.1778 C 46.024177,380.8003   45.23427,381.712   44.62897,382.9146 C 44.02366,384.11663   43.721017,385.46891   43.72102,386.97142 C 43.72101,388.51689   44.027962,389.8949   44.64185,391.10553 C 45.25574,392.31614   46.086424,393.24   47.13390,393.9002 C 48.181376,394.5527   49.31041,394.879   50.52103,394.8790 C 51.6629,394.87902   52.83062,394.5527   54.02407,393.90023 C 55.217497,393.2477     56.25209,392.33331   57.127871,391.1570 L 58.15817,391.86538 C 57.62583,392.65528   57.05058,393.3249   56.43241,393.8744 C 55.453609,394.7588   54.436183,395.4113   53.38013,395.832 C 52.32405,396.25276   51.16496,396.4631   49.902854,396.4631 C 47.112436,396.4631     44.84576,395.42852   43.10283,393.3593 C 41.660408,391.64215   40.939195,389.59871   40.93919,387.229 C 40.939195,385.48608   41.338438,383.9084   42.136926,382.49604   C 42.93541,381.08367   44.036548,379.9610   45.44034,379.1282 C 46.844127,378.2954   48.357387,377.879   49.980127,377.8789   C 50.847289,377.879   51.652215,377.9970   52.39490,378.2331 C 53.13757,378.4692   53.89098,378.8492   54.65513,379.37292 L 55.06726,378.18807 z" />
    <path id="l-D" transform="scale(0.881873,1.133949)" d="M 43.13654,359.7046 L 43.136549,358.63 L 49.43293,358.63 C 52.31560,358.63002   54.32589,358.8112   55.46380,359.1736 C 57.14113,359.7047   58.502404,360.6950   59.54,362.1448 C 60.702342,363.7463   61.27972,365.58806   61.27974,367.6699 C 61.27972,369.0860   60.99524,370.4030   60.4263,371.6210 C 59.85734,372.8390   59.109283,373.8188   58.18212,374.560 C 57.41507,375.1843   56.49211,375.62475   55.413231,375.88183 C 54.33432,376.13892   53.24699,376.26746   52.151249,376.2674 L 43.13654,376.26746 L 43.13654,375.20542 L 43.869862,375.20 L 44.11008,375.2180 C 44.421952,375.2180   44.67692,375.154   44.87500,375.0284 C 45.0730,374.90198   45.21426,374.7334   45.29856,374.52268 C 45.357558,374.3625     45.38706,373.99166   45.387063,373.4100 L 45.38706,361.61383 C 45.38706,360.94796   45.34491,360.5180   45.26063,360.3242 C 45.142622,360.0629   44.952972,359.8817   44.69167,359.780 C 44.53995,359.72999   44.02158,359.7047   43.136549,359.7046 L 43.136549,359.7046 z M 47.73872,374.90198 L 51.55701,374.9019 C 51.936303,374.90198   52.566362,374.83455   53.44719,374.699 C 54.327999,374.56482   54.958058,374.4004   55.337371,374.20659   C 55.89366,373.92001   56.433112,373.4585   56.95571,372.8221 C 57.478294,372.1857   57.880773,371.422   58.163157,370.5337   C 58.445509,369.644   58.586692,368.6266   58.58670,367.4803 C 58.58669,366.3424   58.44550,365.3562   58.16315,364.52179 C 57.88077,363.68735   57.45511,362.93718   56.88618,362.2712 C 56.31721,361.605   55.6850,361.0975 54.98967,360.7477 C 54.2942,360.3979   53.516719,360.1767   52.656983,360.083 C 52.193384,360.0418   51.41792,360.02078 50.330609,360.02077 L 47.738724,360.02077 L 47.73872,374.90198 z" />
    <path id="l-E" transform="scale(0.943151,1.060275)" d="M 40.33391,383.5497 L 55.667727,383.54 L 57.43909,388.51 L 56.24916,388.95848 C 55.95166,388.1471   55.62714,387.5094   55.27559,387.0451 C 54.924007,386.5808   54.50,386.1865   54.011296,385.8619 C 53.51998,385.53746   53.02418,385.3211   52.52388,385.2129 C 52.02356,385.1047   51.1198,385.0506   49.81275,385.0506 L 45.242355,385.0506 L 45.24235,391.960 L 47.51403,391.9603 C 48.35237,391.96034   48.985653,391.81837   49.41385,391.53439 C 49.84203,391.25045   50.137265,390.8966   50.29953,390.47293 C 50.42573,390.15743   50.488834,389.60   50.48884,388.8232 L 50.488845,388.5122 L 51.81399,388.512 L 51.81399,396.7876 L 50.4888,396.78765 L 50.48884,396.0709 C 50.48883,395.43997   50.441507,394.9847     50.34686,394.70528 C 50.252201,394.4258   50.07867,394.16216   49.82627,393.91425 C 49.57385,393.6663   49.30116,393.4973   49.008199,393.4071 C 48.715215,393.3170   48.21716,393.271   47.51403,393.27196 L 45.24235,393.2719 L 45.242355,399.4108 C 45.242348,400.0509     45.27164,400.44081   45.33024,400.5805 C 45.388835,400.72026   45.485742,400.82168   45.62096,400.884 C 45.756179,400.94788   46.125777,400.9794   46.729762,400.97943   L 49.55583,400.97943 C 51.133376,400.9794   52.36612,400.7901   53.254071,400.4115 C 54.141992,400.032   54.924007,399.4514     55.600117,398.667 C 56.131961,398.0542   56.64128,397.1888   57.12809,396.0709 L 58.35858,396.5036 L 56.24916,402.41275 L 40.33391,402.41275 L 40.33391,401.27691 L 40.87478,401.2769 C 41.50580,401.276   41.8979,401.2363 42.05119,401.1552 C 42.2855,401.0380   42.465858,400.8487   42.592065,400.587 C 42.682208,400.4070   42.72728,400.01487 42.727284,399.41089 L 42.727284,386.42988 C 42.72728,385.84395   42.66868,385.451   42.5515,385.25348   C 42.434307,385.05518   42.231479,384.9019   41.943015,384.79374 C 41.789764,384.73065 41.253397,384.6991   40.333911,384.6990 L 40.33391,383.5497 z" />
    <path id="l-F" transform="scale(0.965976,1.035221)" d="M 39.38085,392.8319 L 54.157874,392.83 L 55.94441,397.90 L 54.73953,398.35773 C 54.23171,397.1759   53.73315,396.3265   53.24383,395.8094 C 52.754481,395.2924   52.18,394.9231   51.540389,394.7015 C 50.89408,394.47999   49.87848,394.3692   48.49358,394.3691 L 44.32499,394.3691 L 44.3249,401.7923 L 46.22232,401.7923 C 47.219453,401.7923   47.93499,401.695   48.36894,401.5014 C 48.80286,401.30761   49.135247,401.00062   49.36607,400.58052 C 49.59688,400.16044   49.712293,399.5626   49.71230,398.78705 L 49.71230,398.27464 L 51.069519,398.27 L 51.06951,406.7503 L 49.712305,406.7503 L 49.71230,406.002 C 49.71229,405.2730   49.6015,404.70525   49.37992,404.2990 C 49.15832,403.89277   48.855956,403.5996     48.47280,403.41959 C 48.089639,403.2395   47.40872,403.14954   46.43006,403.14953 L 44.32499,403.1495 L 44.32499,409.1600 C 44.324989,409.7140   44.382694,410.0994   44.49811,410.316 C 44.61351,410.53342   44.78431,410.6996   45.010527,410.8150 C 45.236722,410.9304     45.64065,410.98813   46.22232,410.9881 L 46.734743,410.98813 L 46.734743,412.15146 L 39.38085,412.151 L 39.380858,410.98813 L 39.851728,410.9881 C 40.442622,410.98813     40.85117,410.93274   41.077376,410.8219 C 41.30357,410.7111   41.469764,410.5380   41.575944,410.302 C 41.682117,410.0671     41.735205,409.640   41.735209,409.0215 L 41.73520,395.8787 C 41.73520,395.3063   41.68442,394.9047   41.58286,394.67386 C 41.48130,394.44306   41.32665,394.27457   41.11892,394.1683 C 40.91118,394.062   40.5487,394.0091 40.03176,394.0091 L 39.3808,394.0091 L 39.380858,392.8319 z" />
    <path id="l-G" transform="scale(0.942498,1.061009)" d="M 54.60056,383.5977 L 55.554167,383.59 L 57.04335,389.21 L 55.86768,389.61976 C 55.08388,387.8432   54.18253,386.5760   53.16363,385.8184 C 52.144699,385.0607   50.99,384.6819   49.701923,384.6819 C 47.84696,384.68195   46.29246,385.4526   45.03841,386.9940 C 43.78435,388.5355   43.1573,390.3730   43.15733,392.5067 C 43.157333,394.0394   43.47737,395.445   44.11747,396.7260 C 44.75755,398.00624   45.613183,398.98162   46.68436,399.65218 C 47.75552,400.32275   48.892004,400.6580   50.09381,400.65804 C 50.86887,400.65804   51.606938,400.51   52.30800,400.2334 C 53.009037,399.9504   53.57727,399.613   54.01272,399.2211 C 54.3349,398.92501   54.55265,398.5984   54.66588,398.24137 C 54.779077,397.8843     54.83133,397.38793   54.822637,396.7521 L 54.82263,395.89003 C 54.82262,395.20205   54.74206,394.7143   54.58097,394.4269 C 54.419844,394.1395   54.191241,393.9349   53.89516,393.813 C 53.66872,393.71721   53.05911,393.6693   52.066334,393.6693 L 52.066334,392.5720   L 59.46001,392.57201 L 59.46001,393.6693 L 58.859118,393.66931 C 58.345285,393.66932   57.99476,393.719   57.807543,393.81953 C 57.620287,393.9196   57.483125,394.07427     57.39605,394.28327 C 57.308951,394.4922   57.26540,394.9016   57.265426,395.5112 L 57.265426,401.820 L 55.972185,401.8206   L 55.279843,400.226 C 54.548297,400.7581   53.76887,401.1718   52.94155,401.4679 C 51.70491,401.9120   50.48134,402.13416   49.27084,402.13416 C 46.82369,402.13416   44.72707,401.2349   42.98098,399.436 C 41.2348,397.6383 40.36184,395.3979   40.3618,392.7157 C 40.361844,390.0508   41.245776,387.812   43.013644,386.0013 C 44.78150,384.18991 46.897715,383.28421   49.362284,383.28419 C 49.98059,383.28421   50.59019,383.345   51.1911,383.46707   C 51.791997,383.58901   52.340645,383.7631   52.837054,383.98959 C 53.211514,384.15507 53.646948,384.4250   54.143358,384.7995 L 54.60056,383.5977 z" />
    <path id="l-A" transform="scale(0.952101,1.050308)" d="M 48.32233,387.1893 L 50.574624,387.18 L 56.48516,403.10 C 56.77635,403.90633   57.06983,404.4364   57.36560,404.6957 C 57.66134,404.9551   58.059474,405.0848   58.56,405.0848 L 58.860304,405.0848 L 58.86030,406.23141 L 52.07614,406.2314 L 52.07614,405.0848 C 52.29453,405.0666   52.5083,405.0575   52.71770,405.0575 C 53.154502,405.0575   53.44115,405.012   53.57767,404.9209 C 53.84156,404.74809   53.973514,404.52969   53.97352,404.26578 C 53.97351,404.07468   53.846112,403.6060   53.59132,402.85981 L 52.33550,399.17425 L 45.428493,399.17 L 43.95427,403.2966 C 43.799564,403.7243   43.72221,404.020   43.72221,404.1838 C 43.7222,404.36589   43.76998,404.5251   43.86554,404.66164 C 43.961091,404.7981     44.09076,404.90052   44.254575,404.9687 C 44.41837,405.03702   44.68227,405.07115   45.04628,405.0711 C 45.29198,405.0711   45.492189,405.0757   45.646897,405.0848 L 45.64689,406.231 L 39.95475,406.23141 L 39.95475,405.0848 C 40.482565,405.0848   40.862496,405.0324     41.09455,404.92782 C 41.32660,404.8231   41.529081,404.65482   41.701985,404.42276 C 41.87488,404.190   42.102389,403.70158   42.384496,402.9553 L 48.322339,387.18937 z M 45.93355,397.83653 L 51.816794,397.8365 L 48.86834,389.6464 L 45.933551,397.8365 z" />
    <path id="l-B" transform="scale(0.912597,1.095772)" d="M 41.68427,371.1245 L 50.358867,371.12 C 52.47844,371.12   53.93074,371.22049   54.71579,371.4123 C 55.87587,371.6915   56.79392,372.1974   57.469942,372.9300 C 58.14,373.6628   58.483923,374.5437   58.48394,375.57303 C 58.48392,376.3144   58.30511,376.9795   57.94750,377.5683 C 57.5898,378.1571   57.07086,378.6608   56.390524,379.0795 C 55.95438,379.349   55.36124,379.5810   54.61112,379.77295 C 55.561865,379.94741   56.28583,380.15675   56.78303,380.40097 C 57.533163,380.7673   58.12629,381.29068   58.56244,381.97103 C 58.998554,382.65   59.21661,383.4189   59.216636,384.2737 C 59.21661,385.102   59.00291,385.8700   58.5755,386.57655 C 58.14810,387.2830   57.54406,387.86313   56.763414,388.3167   C 55.98272,388.77028   55.073401,389.0603   54.03543,389.18678 C 52.99743,389.31326   51.92891,389.3765   50.82988,389.3765 L 41.684272,389.3765 L 41.684272,388.2774 L 42.29921,388.277 C 42.89234,388.27745   43.29794,388.1858   43.516012,388.0026 C 43.830021,387.7497     43.98702,387.33105   43.98703,386.7466 L 43.987031,374.06839 C 43.987027,373.47527   43.93905,373.069   43.843108,372.85159 C 43.747157,372.6335   43.603234,372.47653     43.41134,372.38057 C 43.219442,372.2846   42.84873,372.2366   42.299213,372.2366 L 41.684272,372.236 L 41.684272,371.1245 z M 46.433711,372.576 L 46.433711,379.2626 L 49.77009,379.2626 C 51.33142,379.2626   52.39993,379.1885   52.97563,379.04025 C 53.87404,378.80475   54.56095,378.40351   55.03634,377.8365 C 55.51171,377.269   55.7494,376.5412 55.74941,375.6515 C 55.7494,374.9014   55.533517,374.2755   55.101764,373.774 C 54.669983,373.2724   54.09211,372.93011 53.368154,372.74692 C 52.897123,372.63354   51.92019,372.57684   50.43737,372.576 L 46.4337,372.57683 z M 46.433711,380.51873 L 46.433711,386.5111 C 46.433705,387.11299   46.459873,387.47062 46.512214,387.5840 C 46.581989,387.7410   46.72155,387.8500   46.930898,387.9111 C 47.079175,387.9547 47.497858,387.97652 48.186948,387.97652 L 49.966352,387.97652 C 51.7283,387.97652 52.986529,387.8784   53.741043,387.68214 C 54.495532,387.48588 55.138821,387.07156   55.670912,386.43917 C 56.20297,385.80679 56.469011,385.0457   56.469027,384.15604 C 56.469011,383.4059 56.253128,382.74081   55.821376,382.16075 C 55.389594,381.58071 54.792099,381.16202   54.028888,380.9047 C 53.26565,380.64739 51.911473,380.51874   49.966352,380.5187 L 46.433711,380.51873 z" />

    <path id="cl-G"      stroke-width="0"                                                          d="M -291.55849,172.93115 C -293.00877,173.33435 -294.31641,174.23562 -295.52895,175.61123 C -296.74147,177.01056 -297.33585,178.55219 -297.33585,180.21243 C -297.33585,181.25599 -296.97923,182.44187 -296.28974,183.69889 C -295.60027,184.97965 -294.55416,185.90463 -293.19898,186.49756 C -292.74725,186.59244 -292.53327,186.8296 -292.53327,187.16165 C -292.53327,187.28024 -292.69971,187.39883 -293.10388,187.49369 C -295.26742,186.94819 -297.05055,185.78604 -298.42951,184.05466 C -299.80847,182.29956 -300.52172,180.30729 -300.56926,178.03042 C -300.49794,175.5875 -299.76091,173.31063 -298.35819,171.22349 C -296.93167,169.11264 -295.10099,167.61843 -292.86612,166.74088 L -294.50661,158.32117 C -298.16798,161.357 -301.13987,164.51144 -303.44606,167.83188 C -305.75224,171.12863 -306.941,174.70996 -307.03611,178.57592 C -306.98855,180.30729 -306.63193,181.99124 -305.96622,183.60403 C -305.30052,185.24054 -304.30196,186.71101 -302.97056,188.06292 C -300.28397,190.74299 -296.78903,192.14233 -292.53327,192.28464 C -291.08299,192.18976 -289.5376,191.92887 -287.87335,191.50196 L -291.55849,172.93115 z M -289.84668,172.69397 L -286.13777,190.93274 C -282.47639,189.46225 -280.64571,186.26038 -280.64571,181.37458 C -280.85968,179.73807 -281.33519,178.26758 -282.14354,176.96313 C -282.92812,175.63495 -283.97423,174.59137 -285.30563,173.83242 C -286.63704,173.07346 -288.13487,172.69397 -289.84668,172.69397 z M -294.72058,148.02777 C -293.936,147.55342 -293.03256,146.72331 -292.05777,145.56115 C -291.08299,144.42272 -290.13198,143.07082 -289.22853,141.55289 C -288.30131,140.01125 -287.56427,138.44589 -287.01744,136.85683 C -286.47062,135.29147 -286.20909,133.79726 -286.20909,132.42165 C -286.20909,131.82872 -286.25663,131.23577 -286.37551,130.71399 C -286.47062,129.86016 -286.73215,129.19607 -287.18387,128.74544 C -287.63559,128.31853 -288.2062,128.08135 -288.91945,128.08135 C -290.34597,128.08135 -291.62981,128.95889 -292.77103,130.71399 C -293.6507,132.23192 -294.38773,134.03444 -294.91078,136.07415 C -295.45761,138.13757 -295.76669,140.17727 -295.81424,142.24069 C -295.69536,144.58873 -295.31496,146.50985 -294.72058,148.02777 z M -296.21842,149.40338 C -297.28829,145.56115 -297.88267,141.64776 -298.00155,137.66322 C -297.97778,135.10173 -297.71625,132.70626 -297.21697,130.47682 C -296.74147,128.24737 -296.052,126.32625 -295.14854,124.66603 C -294.26885,123.00579 -293.24653,121.74877 -292.10533,120.89494 C -291.08299,120.13598 -290.34597,119.73278 -289.94179,119.73278 C -289.63271,119.73278 -289.37118,119.85137 -289.13343,120.06483 C -288.89568,120.27828 -288.5866,120.63405 -288.2062,121.10839 C -285.37696,125.11666 -283.95045,129.95503 -283.95045,135.59979 C -283.95045,138.27987 -284.30708,140.88879 -285.02034,143.49773 C -285.70981,146.08294 -286.73215,148.54955 -288.08732,150.85015 C -289.46628,153.17447 -291.08299,155.19046 -292.96122,156.92184 L -291.03544,166.26653 C -289.98933,166.14795 -289.27607,166.05307 -288.8719,166.05307 C -287.065,166.05307 -285.44828,166.43255 -283.95045,167.19152 C -282.45261,167.95047 -281.16876,168.97033 -280.12265,170.27479 C -279.07655,171.55554 -278.2682,173.02603 -277.69759,174.68625 C -277.15076,176.34647 -276.84168,178.07785 -276.84168,179.88038 C -276.84168,182.67905 -277.57871,185.24054 -279.05278,187.54114 C -280.52683,189.84174 -282.73792,191.52567 -285.70981,192.61668 C -285.51961,193.77884 -285.18675,195.46278 -284.68749,197.62107 C -284.21197,199.80308 -283.85535,201.53446 -283.61759,202.8152 C -283.37985,204.09595 -283.28474,205.32926 -283.28474,206.53886 C -283.28474,208.41254 -283.73647,210.07276 -284.63993,211.54325 C -285.56716,213.01374 -286.80347,214.15217 -288.37263,214.95857 C -289.91801,215.76496 -291.62981,216.16816 -293.48427,216.16816 C -296.09954,216.16816 -298.38196,215.43291 -300.33152,213.98615 C -302.28107,212.51567 -303.32718,210.54711 -303.42229,208.03306 C -303.35096,206.91834 -303.08944,205.87476 -302.61394,204.87863 C -302.13842,203.88249 -301.49649,203.07609 -300.66437,202.45945 C -299.85601,201.81907 -298.88124,201.48703 -297.76381,201.41587 C -296.83657,201.41587 -295.95689,201.67677 -295.12477,202.17484 C -294.31641,202.69663 -293.6507,203.38443 -293.15142,204.26197 C -292.67592,205.13951 -292.4144,206.11194 -292.4144,207.1555 C -292.4144,208.55485 -292.88989,209.74071 -293.84091,210.71314 C -294.79191,211.68556 -296.00445,212.18361 -297.45473,212.18361 L -298.00155,212.18361 C -297.07432,213.60667 -295.55272,214.34191 -293.43673,214.34191 C -292.36684,214.34191 -291.27319,214.10474 -290.17953,213.67783 C -289.0621,213.22719 -288.13487,212.63426 -287.35029,211.87529 C -286.56571,211.11634 -286.04266,210.30994 -285.82869,209.4561 C -285.42451,208.48369 -285.23431,207.13179 -285.23431,205.44785 C -285.23431,204.3094 -285.35319,203.17097 -285.56716,202.03253 C -285.78113,200.9178 -286.11398,199.4236 -286.56571,197.57364 C -287.01744,195.74739 -287.35029,194.32434 -287.5405,193.35193 C -288.96701,193.70768 -290.44106,193.89742 -291.98645,193.89742 C -294.57793,193.89742 -297.02677,193.37564 -299.33297,192.30835 C -301.63915,191.24106 -303.66003,189.77058 -305.41939,187.87318 C -307.15499,185.97578 -308.51016,183.8412 -309.48494,181.42202 C -310.43596,179.02655 -310.93522,176.51249 -310.95901,173.90357 C -310.8639,171.48438 -310.41217,169.16007 -309.55627,166.97806 C -308.70036,164.77233 -307.60672,162.68518 -306.25153,160.74035 C -304.89634,158.79552 -303.49361,157.0167 -302.04333,155.42763 C -300.56926,153.86227 -298.64348,151.84628 -296.21842,149.40338 z" />
    <path id="cl-F"      stroke-width="0" transform="matrix(0.1386763,0,0,0.1386763,-131.5,455.6)" d="M -1308.9943,-641.08631 C -1279.9928,-660.66901 -1258.3335,-675.4933 -1244.3834,-685.74218 C -1230.4333,-695.80805 -1215.749,-708.43615 -1200.6976,-723.44345 C -1185.6462,-738.45075 -1172.981,-755.47122 -1162.702,-774.32185 C -1154.6257,-788.23106 -1147.6506,-804.33645 -1141.9605,-822.63804 C -1136.2703,-840.75661 -1133.3335,-858.32613 -1132.7828,-874.98057 C -1132.7828,-890.53692 -1134.8019,-905.36121 -1139.0236,-919.27041 C -1143.0618,-933.36263 -1150.0368,-944.89263 -1159.9487,-954.22644 C -1169.8606,-963.37723 -1182.7094,-967.95263 -1198.6786,-967.95263 C -1214.0971,-967.95263 -1228.5978,-964.84136 -1242.1808,-958.80183 C -1255.5802,-952.57929 -1265.125,-942.69644 -1270.448,-928.78724 C -1270.448,-927.50612 -1271.1822,-925.85898 -1272.2836,-923.47977 C -1271.9165,-920.55152 -1270.448,-918.35533 -1267.6947,-916.70819 C -1264.9414,-915.06104 -1262.5552,-914.32898 -1260.3526,-914.32898 C -1259.2513,-914.32898 -1256.1308,-914.87803 -1251.3584,-915.97612 C -1246.4025,-917.07422 -1242.3643,-917.80628 -1239.0603,-917.80628 C -1229.332,-917.80628 -1220.705,-914.32898 -1212.8122,-907.55739 C -1205.1029,-900.78581 -1201.2483,-892.55009 -1201.2483,-882.85026 C -1201.2483,-875.89565 -1203.2674,-869.30708 -1207.122,-863.26756 C -1210.9766,-857.22804 -1216.2997,-852.28661 -1223.0912,-848.80931 C -1229.8827,-845.14899 -1237.4084,-843.50185 -1245.4847,-843.50185 C -1260.169,-843.50185 -1272.6507,-847.89423 -1282.9297,-856.862 C -1293.0251,-866.0128 -1298.1646,-877.54279 -1298.1646,-892.00105 C -1298.1646,-910.48565 -1292.4745,-926.40803 -1281.2777,-939.9512 C -1269.8974,-953.49437 -1255.5802,-963.56025 -1237.959,-970.33183 C -1220.5214,-977.28644 -1202.9003,-980.58072 -1184.912,-980.58072 C -1165.2718,-980.58072 -1146.5493,-975.63929 -1129.1117,-965.57342 C -1111.4906,-955.69056 -1097.724,-941.96438 -1087.445,-924.9439 C -1077.166,-907.74041 -1071.843,-889.43883 -1071.843,-869.67312 C -1071.843,-834.53407 -1083.5904,-801.95725 -1107.0853,-771.75963 C -1130.5801,-741.56202 -1159.5816,-715.39075 -1194.2733,-693.06282 C -1217.401,-677.8725 -1254.846,-657.37472 -1306.4245,-631.56949 L -1308.9943,-641.08631 z M -1054.0383,-924.21184 C -1054.0383,-930.80041 -1051.6521,-936.29089 -1046.8797,-940.68326 C -1042.2908,-945.25866 -1036.6007,-947.45485 -1029.8092,-947.45485 C -1023.9355,-947.45485 -1018.4289,-944.89263 -1013.4729,-939.9512 C -1008.517,-935.19279 -1006.1308,-929.5193 -1006.1308,-923.29676 C -1006.1308,-916.70819 -1008.7005,-911.0347 -1013.4729,-906.4593 C -1018.6124,-902.06692 -1024.3026,-899.87073 -1030.7269,-899.87073 C -1037.5184,-899.87073 -1043.025,-902.06692 -1047.4303,-907.00835 C -1051.8356,-911.76676 -1054.0383,-917.44025 -1054.0383,-924.21184 z M -1054.0383,-828.31153 C -1054.0383,-834.9001 -1051.6521,-840.57359 -1047.2468,-844.96597 C -1042.6579,-849.54137 -1036.9678,-851.73756 -1029.8092,-851.73756 C -1023.9355,-851.73756 -1018.6124,-849.35835 -1013.4729,-844.41693 C -1008.7005,-839.4755 -1006.1308,-834.16804 -1006.1308,-828.31153 C -1006.1308,-821.17391 -1008.517,-815.50042 -1013.1058,-810.92502 C -1017.8782,-806.34963 -1023.3848,-803.97042 -1029.8092,-803.97042 C -1036.9678,-803.97042 -1042.6579,-806.34963 -1047.2468,-810.74201 C -1051.6521,-815.13439 -1054.0383,-820.9909 -1054.0383,-828.31153 z" />
    <path id="cl-15"     stroke-width="0" transform="matrix(0.1386763,0,0,0.1386763,-131.5,455.6)" d="M -1696.9368,-1259.709 L -1725.5523,-1165.7045 C -1727.2112,-1160.17 -1728.0406,-1156.1727 -1728.0406,-1153.7129 C -1728.0406,-1151.6444 -1727.2853,-1150.0651 -1725.7745,-1148.9749 C -1724.2638,-1147.8847 -1720.7238,-1147.1441 -1715.1547,-1146.7527 L -1716.0434,-1143.6499 L -1761.8105,-1143.6499 L -1760.5663,-1146.7527 C -1755.7083,-1146.8645 -1752.509,-1147.2279 -1750.9686,-1147.8429 C -1748.4803,-1148.8492 -1746.6141,-1150.1908 -1745.3699,-1151.868 C -1743.4148,-1154.4397 -1741.4301,-1159.0518 -1739.4157,-1165.7045 L -1718.7983,-1233.21 C -1717.5542,-1237.291 -1716.8729,-1239.639 -1716.7543,-1240.2541 C -1716.5766,-1241.3721 -1716.4878,-1242.4622 -1716.4877,-1243.5245 C -1716.4878,-1245.4811 -1717.0506,-1247.0184 -1718.1763,-1248.1367 C -1719.302,-1249.2547 -1720.8423,-1249.8138 -1722.7973,-1249.8139 C -1724.3378,-1249.8138 -1726.7372,-1249.4783 -1729.9957,-1248.8076 L -1731.1509,-1251.8264 L -1701.2025,-1259.709 L -1696.9368,-1259.709 z M -1658.4304,-1258.5258 L -1618.1731,-1258.5258 L -1622.2611,-1244.6892 L -1658.4304,-1244.6892 L -1665.0955,-1230.6849 C -1655.4978,-1229.2313 -1648.0329,-1226.4081 -1642.7008,-1222.2153 C -1634.4656,-1215.6744 -1630.3482,-1206.5339 -1630.3481,-1194.7939 C -1630.3482,-1187.023 -1631.8737,-1179.9929 -1634.9248,-1173.7036 C -1637.9759,-1167.4143 -1641.7085,-1162.1452 -1646.1221,-1157.8965 C -1650.536,-1153.6477 -1655.2608,-1150.2933 -1660.2966,-1147.8336 C -1667.1691,-1144.4792 -1674.1009,-1142.8021 -1681.0918,-1142.8021 C -1687.0755,-1142.8021 -1691.8152,-1144.032 -1695.3107,-1146.4918 C -1697.6805,-1148.169 -1698.8654,-1150.2933 -1698.8654,-1152.865 C -1698.8654,-1154.8776 -1698.0952,-1156.5967 -1696.5548,-1158.0222 C -1695.0145,-1159.4478 -1693.1186,-1160.1606 -1690.8673,-1160.1606 C -1687.7273,-1160.1606 -1684.2318,-1158.6791 -1680.3808,-1155.7162 C -1678.011,-1153.8713 -1676.0559,-1152.6414 -1674.5155,-1152.0264 C -1673.2713,-1151.5232 -1671.7903,-1151.2717 -1670.0722,-1151.2717 C -1663.3774,-1151.2717 -1657.2159,-1154.4163 -1651.5875,-1160.7057 C -1645.9593,-1166.995 -1643.1452,-1175.1711 -1643.1451,-1185.234 C -1643.1452,-1192.2222 -1644.6411,-1198.176 -1647.6329,-1203.0958 C -1650.6249,-1208.0153 -1654.4313,-1211.4815 -1659.0525,-1213.4941 C -1663.6737,-1215.5066 -1669.8352,-1216.9042 -1677.537,-1217.687 L -1658.4304,-1258.5258 z" />

    <path id="seminima"  stroke-width="0" d="M -249.60296,382.66811 C -245.34268,382.71849 -242.987,385.6424 -244.34183,389.21817 C -245.64497,392.84747 -250.15429,395.71942 -254.36601,395.66746 C -258.57617,395.61865 -260.92872,392.64436 -259.57702,389.06859 C -258.27545,385.49125 -253.81312,382.61772 -249.60296,382.66811 z" />
    <path id="semibreve" stroke-width="0" d="M -102.62485,347.66816 C -97.34622,347.71704 -92.35294,349.76966 -91.9725,354.31477 C -91.68716,357.6396 -95.96712,360.66816 -101.24574,360.66816 C -106.57191,360.61928 -111.51616,358.61552 -111.94565,354.07194 C -112.23099,350.69671 -107.90642,347.66816 -102.62485,347.66816 z M -101.34382,359.5441 C -99.05971,359.5441 -97.58548,357.29445 -97.82325,355.48771 C -98.34785,351.92004 -99.53526,349.03506 -102.67538,349.03506 C -104.95802,349.03506 -106.28955,351.33204 -106.00275,353.14031 C -105.47814,356.70951 -104.4795,359.5441 -101.34382,359.5441 z" />

  </defs>



  <g id="keyboard-group">



    <g id="guias">

      <g id="go0" transform="translate(-210,0)">
        <use x="-056.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-026.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
      </g>

      <g id="go1" transform="translate(0,0)">
        <use x="-206.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-176.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-146.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-116.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-086.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-056.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-026.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
      </g>

      <g id="go2" transform="translate(210,0)">
        <use x="-206.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-176.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-146.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-116.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-086.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-056.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-026.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
      </g>

      <g id="go3" transform="translate(420,0)">
        <use x="-206.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-176.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-146.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-116.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-086.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-056.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-026.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
      </g>

      <g id="go4" transform="translate(630,0)">
        <use x="-206.5" y="-46.8" fill="#ffd5d5" xlink:href="#guia" /> <!--red-->
        <use x="-176.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-146.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-116.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-086.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-056.5" y="-46.8" fill="#ffd5d5" xlink:href="#guia" /> <!--red-->
        <use x="-026.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
      </g>

      <g id="go5" transform="translate(840,0)">
        <use x="-206.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-176.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-146.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-116.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-086.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-056.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-026.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
      </g>

      <g id="go6" transform="translate(1050,0)">
        <use x="-206.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-176.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-146.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-116.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-086.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-056.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-026.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
      </g>

      <g id="go7" transform="translate(1260,0)">
        <use x="-206.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-176.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-146.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-116.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-086.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
        <use x="-056.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
        <use x="-026.5" y="-46.8" fill="#ffffff" xlink:href="#guia" />
      </g>

      <g id="go8" transform="translate(1470,0)">
        <use x="-206.5" y="-46.8" fill="#e3f4d7" xlink:href="#guia" />
      </g>

    </g>



    <g id="teclado">

      <g id="to0" transform="translate(-210,-3)">
        <a xlink:href="javascript:toque('a0' ,1)"><use id="a0"  x="-056.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('b0' ,1)"><use id="b0"  x="-026.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('a0s',1)"><use id="a0s" x="-036.5" y="436.2" xlink:href="#preta"  /></a>
      </g>

      <g id="to1" transform="translate(0,-3)">
        <a xlink:href="javascript:toque('c1' ,1)"><use id="c1"  x="-206.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('d1' ,1)"><use id="d1"  x="-176.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('e1' ,1)"><use id="e1"  x="-146.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('f1' ,1)"><use id="f1"  x="-116.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('g1' ,1)"><use id="g1"  x="-086.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('a1' ,1)"><use id="a1"  x="-056.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('b1' ,1)"><use id="b1"  x="-026.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('c1s',1)"><use id="c1s" x="-186.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('d1s',1)"><use id="d1s" x="-156.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('f1s',1)"><use id="f1s" x="-096.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('g1s',1)"><use id="g1s" x="-066.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('a1s',1)"><use id="a1s" x="-036.5" y="436.2" xlink:href="#preta"  /></a>
      </g>

      <g id="to2" transform="translate(210,-3)">
        <a xlink:href="javascript:toque('c2' ,1)"><use id="c2"  x="-206.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('d2' ,1)"><use id="d2"  x="-176.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('e2' ,1)"><use id="e2"  x="-146.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('f2' ,1)"><use id="f2"  x="-116.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('g2' ,1)"><use id="g2"  x="-086.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('a2' ,1)"><use id="a2"  x="-056.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('b2' ,1)"><use id="b2"  x="-026.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('c2s',1)"><use id="c2s" x="-186.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('d2s',1)"><use id="d2s" x="-156.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('f2s',1)"><use id="f2s" x="-096.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('g2s',1)"><use id="g2s" x="-066.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('a2s',1)"><use id="a2s" x="-036.5" y="436.2" xlink:href="#preta"  /></a>
      </g>

      <g id="to3" transform="translate(420,-3)">
        <a xlink:href="javascript:toque('c3' ,1)"><use id="c3"  x="-206.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('d3' ,1)"><use id="d3"  x="-176.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('e3' ,1)"><use id="e3"  x="-146.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('f3' ,1)"><use id="f3"  x="-116.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('g3' ,1)"><use id="g3"  x="-086.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('a3' ,1)"><use id="a3"  x="-056.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('b3' ,1)"><use id="b3"  x="-026.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('c3s',1)"><use id="c3s" x="-186.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('d3s',1)"><use id="d3s" x="-156.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('f3s',1)"><use id="f3s" x="-096.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('g3s',1)"><use id="g3s" x="-066.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('a3s',1)"><use id="a3s" x="-036.5" y="436.2" xlink:href="#preta"  /></a>
      </g>


      <g id="to4" transform="translate(630,-3)">
        <a xlink:href="javascript:toque('c4' ,1)"><use id="c4"  x="-206.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('d4' ,1)"><use id="d4"  x="-176.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('e4' ,1)"><use id="e4"  x="-146.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('f4' ,1)"><use id="f4"  x="-116.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('g4' ,1)"><use id="g4"  x="-086.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('a4' ,1)"><use id="a4"  x="-056.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('b4' ,1)"><use id="b4"  x="-026.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('c4s',1)"><use id="c4s" x="-186.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('d4s',1)"><use id="d4s" x="-156.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('f4s',1)"><use id="f4s" x="-096.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('g4s',1)"><use id="g4s" x="-066.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('a4s',1)"><use id="a4s" x="-036.5" y="436.2" xlink:href="#preta"  /></a>
      </g>

      <g id="to5" transform="translate(840,-3)">
        <a xlink:href="javascript:toque('c5' ,1)"><use id="c5"  x="-206.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('d5' ,1)"><use id="d5"  x="-176.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('e5' ,1)"><use id="e5"  x="-146.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('f5' ,1)"><use id="f5"  x="-116.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('g5' ,1)"><use id="g5"  x="-086.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('a5' ,1)"><use id="a5"  x="-056.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('b5' ,1)"><use id="b5"  x="-026.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('c5s',1)"><use id="c5s" x="-186.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('d5s',1)"><use id="d5s" x="-156.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('f5s',1)"><use id="f5s" x="-096.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('g5s',1)"><use id="g5s" x="-066.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('a5s',1)"><use id="a5s" x="-036.5" y="436.2" xlink:href="#preta"  /></a>
      </g>

      <g id="to6" transform="translate(1050,-3)">
        <a xlink:href="javascript:toque('c6' ,1)"><use id="c6"  x="-206.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('d6' ,1)"><use id="d6"  x="-176.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('e6' ,1)"><use id="e6"  x="-146.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('f6' ,1)"><use id="f6"  x="-116.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('g6' ,1)"><use id="g6"  x="-086.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('a6' ,1)"><use id="a6"  x="-056.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('b6' ,1)"><use id="b6"  x="-026.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('c6s',1)"><use id="c6s" x="-186.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('d6s',1)"><use id="d6s" x="-156.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('f6s',1)"><use id="f6s" x="-096.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('g6s',1)"><use id="g6s" x="-066.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('a6s',1)"><use id="a6s" x="-036.5" y="436.2" xlink:href="#preta"  /></a>
      </g>

      <g id="to7" transform="translate(1260,-3)">
        <a xlink:href="javascript:toque('c7' ,1)"><use id="c7"  x="-206.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('d7' ,1)"><use id="d7"  x="-176.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('e7' ,1)"><use id="e7"  x="-146.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('f7' ,1)"><use id="f7"  x="-116.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('g7' ,1)"><use id="g7"  x="-086.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('a7' ,1)"><use id="a8"  x="-056.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('b7' ,1)"><use id="b8"  x="-026.5" y="432.2" xlink:href="#branca" /></a>
        <a xlink:href="javascript:toque('c7s',1)"><use id="c7s" x="-186.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('d7s',1)"><use id="d7s" x="-156.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('f7s',1)"><use id="f7s" x="-096.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('g7s',1)"><use id="g7s" x="-066.5" y="436.2" xlink:href="#preta"  /></a>
        <a xlink:href="javascript:toque('a7s',1)"><use id="a7s" x="-036.5" y="436.2" xlink:href="#preta"  /></a>
      </g>

      <g id="to8" transform="translate(1470,-3)">
        <a xlink:href="javascript:toque('c8' ,1)"><use id="c8"  x="-206.5" y="432.2" xlink:href="#branca" /></a>
      </g>

    </g>



    <g>

      <g transform="translate(-420,-13)">
        <g transform="translate(119,0)"><use xlink:href="#l-A" /><use xlink:href="#d-0" /></g>
        <g transform="translate(149,0)"><use xlink:href="#l-B" /><use xlink:href="#d-0" /></g>
      </g>

      <g transform="translate(-210,-13)">
        <g transform="translate(-31,0)"><use xlink:href="#l-C" /><use xlink:href="#d-1" /></g>
        <g transform="translate( -1,0)"><use xlink:href="#l-D" /><use xlink:href="#d-1" /></g>
        <g transform="translate( 29,0)"><use xlink:href="#l-E" /><use xlink:href="#d-1" /></g>
        <g transform="translate( 59,0)"><use xlink:href="#l-F" /><use xlink:href="#d-1" /></g>
        <g transform="translate( 89,0)"><use xlink:href="#l-G" /><use xlink:href="#d-1" /></g>
        <g transform="translate(119,0)"><use xlink:href="#l-A" /><use xlink:href="#d-1" /></g>
        <g transform="translate(149,0)"><use xlink:href="#l-B" /><use xlink:href="#d-1" /></g>
      </g>

      <g transform="translate(0,-13)">
        <g transform="translate(-31,0)"><use xlink:href="#l-C" /><use xlink:href="#d-2" /></g>
        <g transform="translate( -1,0)"><use xlink:href="#l-D" /><use xlink:href="#d-2" /></g>
        <g transform="translate( 29,0)"><use xlink:href="#l-E" /><use xlink:href="#d-2" /></g>
        <g transform="translate( 59,0)"><use xlink:href="#l-F" /><use xlink:href="#d-2" /></g>
        <g transform="translate( 89,0)"><use xlink:href="#l-G" /><use xlink:href="#d-2" /></g>
        <g transform="translate(119,0)"><use xlink:href="#l-A" /><use xlink:href="#d-2" /></g>
        <g transform="translate(149,0)"><use xlink:href="#l-B" /><use xlink:href="#d-2" /></g>
      </g>

      <g transform="translate(210,-13)">
        <g transform="translate(-31,0)"><use xlink:href="#l-C" /><use xlink:href="#d-3" /></g>
        <g transform="translate( -1,0)"><use xlink:href="#l-D" /><use xlink:href="#d-3" /></g>
        <g transform="translate( 29,0)"><use xlink:href="#l-E" /><use xlink:href="#d-3" /></g>
        <g transform="translate( 59,0)"><use xlink:href="#l-F" /><use xlink:href="#d-3" /></g>
        <g transform="translate( 89,0)"><use xlink:href="#l-G" /><use xlink:href="#d-3" /></g>
        <g transform="translate(119,0)"><use xlink:href="#l-A" /><use xlink:href="#d-3" /></g>
        <g transform="translate(149,0)"><use xlink:href="#l-B" /><use xlink:href="#d-3" /></g>
      </g>

    </g>



    <g>

      <g transform="translate(420,-436)">
        <g transform="translate(-31,0)" fill="#ff0000"><use xlink:href="#l-C" /><use xlink:href="#d-4" /></g>
        <g transform="translate( -1,0)">               <use xlink:href="#l-D" /><use xlink:href="#d-4" /></g>
        <g transform="translate( 29,0)">               <use xlink:href="#l-E" /><use xlink:href="#d-4" /></g>
        <g transform="translate( 59,0)">               <use xlink:href="#l-F" /><use xlink:href="#d-4" /></g>
        <g transform="translate( 89,0)">               <use xlink:href="#l-G" /><use xlink:href="#d-4" /></g>
        <g transform="translate(119,0)" fill="#ff0000"><use xlink:href="#l-A" /><use xlink:href="#d-4" /></g>
        <g transform="translate(149,0)">               <use xlink:href="#l-B" /><use xlink:href="#d-4" /></g>
      </g>

      <g transform="translate(630,-436)">
        <g transform="translate(-31,0)"><use xlink:href="#l-C" /><use xlink:href="#d-5" /></g>
        <g transform="translate( -1,0)"><use xlink:href="#l-D" /><use xlink:href="#d-5" /></g>
        <g transform="translate( 29,0)"><use xlink:href="#l-E" /><use xlink:href="#d-5" /></g>
        <g transform="translate( 59,0)"><use xlink:href="#l-F" /><use xlink:href="#d-5" /></g>
        <g transform="translate( 89,0)"><use xlink:href="#l-G" /><use xlink:href="#d-5" /></g>
        <g transform="translate(119,0)"><use xlink:href="#l-A" /><use xlink:href="#d-5" /></g>
        <g transform="translate(149,0)"><use xlink:href="#l-B" /><use xlink:href="#d-5" /></g>
      </g>

      <g transform="translate(840,-436)">
        <g transform="translate(-31,0)"><use xlink:href="#l-C" /><use xlink:href="#d-6" /></g>
        <g transform="translate( -1,0)"><use xlink:href="#l-D" /><use xlink:href="#d-6" /></g>
        <g transform="translate( 29,0)"><use xlink:href="#l-E" /><use xlink:href="#d-6" /></g>
        <g transform="translate( 59,0)"><use xlink:href="#l-F" /><use xlink:href="#d-6" /></g>
        <g transform="translate( 89,0)"><use xlink:href="#l-G" /><use xlink:href="#d-6" /></g>
        <g transform="translate(119,0)"><use xlink:href="#l-A" /><use xlink:href="#d-6" /></g>
        <g transform="translate(149,0)"><use xlink:href="#l-B" /><use xlink:href="#d-6" /></g>
      </g>

      <g transform="translate(1050,-436)">
        <g transform="translate(-31,0)"><use xlink:href="#l-C" /><use xlink:href="#d-7" /></g>
        <g transform="translate( -1,0)"><use xlink:href="#l-D" /><use xlink:href="#d-7" /></g>
        <g transform="translate( 29,0)"><use xlink:href="#l-E" /><use xlink:href="#d-7" /></g>
        <g transform="translate( 59,0)"><use xlink:href="#l-F" /><use xlink:href="#d-7" /></g>
        <g transform="translate( 89,0)"><use xlink:href="#l-G" /><use xlink:href="#d-7" /></g>
        <g transform="translate(119,0)"><use xlink:href="#l-A" /><use xlink:href="#d-7" /></g>
        <g transform="translate(149,0)"><use xlink:href="#l-B" /><use xlink:href="#d-7" /></g>
      </g>

      <g transform="translate(1260,-436)">
        <g transform="translate(-31,0)"><use xlink:href="#l-C" /><use xlink:href="#d-8" /></g>
      </g>

    </g>



    <g id="acidentes" transform="translate(502.5,436.8)">
      <use x="0"   y="0"  fill="#000000" xlink:href="#dobr-sust" />
      <use x="0"   y="0"  fill="#ffffff" xlink:href="#sustenido" />
      <use x="0"   y="0"  fill="#ffffff" xlink:href="#bemol"     />
      <use x="-20" y="32" fill="#000000" xlink:href="#dobr-bem"  />
      <use x="0"   y="-9" fill="#000000" xlink:href="#bequadro"  />
    </g>



    <g fill="#0000ff" stroke="#0000ff">
      <g>
        <g transform="translate(0,-20)">
          <use xlink:href="#linha-supl" x="0"  y="-70" />
          <use xlink:href="#linha-supl" x="30" y="-70" />
          <use xlink:href="#pentagrama" x="0"  y="0" />
        </g>
        <g>
          <use transform="translate( 0, 0)" xlink:href="#cl-F"  />
          <use transform="translate(73,78)" xlink:href="#cl-15" />
        </g>
      </g>
      <g transform="translate(0,-20)">
        <use x="0"   y="0"   xlink:href="#seminima"  />
        <use x="30"  y="-7"  xlink:href="#seminima"  />
        <use x="60"  y="-14" xlink:href="#seminima"  />
        <use x="90"  y="-21" xlink:href="#seminima"  />
        <use x="120" y="-28" xlink:href="#seminima"  />
        <use x="0"   y="0"   xlink:href="#semibreve" />
        <use x="180" y="-42" xlink:href="#seminima"  />
        <use x="210" y="-49" xlink:href="#seminima"  />
        <use x="240" y="-56" xlink:href="#seminima"  />
        <use x="270" y="-63" xlink:href="#seminima"  />
        <use x="300" y="-70" xlink:href="#seminima"  />
      </g>
    </g>

    <g fill="#d40000" stroke="#d40000" transform="translate(0,-98)">
      <g>
        <g transform="translate(0,-20)">
          <use xlink:href="#linha-supl" x="420" y="-70" />
          <use xlink:href="#pentagrama" x="0"   y="0"   />
          <use xlink:href="#linha-supl" x="30"  y="14"  />
          <use xlink:href="#linha-supl" x="60"  y="14"  />
        </g>
        <g>
          <use transform="translate(0,0)" xlink:href="#cl-F"  />
        </g>
      </g>
      <g transform="translate(420,-20)">
        <use x="-120" y="28"  xlink:href="#seminima"  />
        <use x="-90"  y="21"  xlink:href="#seminima"  />
        <use x="-60"  y="14"  xlink:href="#seminima"  />
        <use x="-30"  y="7"   xlink:href="#seminima"  />
        <use x="0"    y="0"   xlink:href="#seminima"  />
        <use x="30"   y="-7"  xlink:href="#seminima"  />
        <use x="60"   y="-14" xlink:href="#seminima"  />
        <use x="90"   y="-21" xlink:href="#seminima"  />
        <use x="120"  y="-28" xlink:href="#seminima"  />
        <use x="0"    y="0"   xlink:href="#semibreve" />
        <use x="180"  y="-42" xlink:href="#seminima"  />
        <use x="210"  y="-49" xlink:href="#seminima"  />
        <use x="240"  y="-56" xlink:href="#seminima"  />
        <use x="270"  y="-63" xlink:href="#seminima"  />
      </g>
    </g>

    <g fill="#808000" stroke="#808000" transform="translate(0,-182)">
      <g>
        <g transform="translate(0,-20)">
          <use xlink:href="#linha-supl" x="780" y="-70" />
          <use xlink:href="#linha-supl" x="810" y="-70" />
          <use xlink:href="#pentagrama" x="0"   y="0"   />
          <use xlink:href="#linha-supl" x="420" y="14"  />
        </g>
        <g>
          <use transform="translate(0,182)" xlink:href="#cl-G"  />
        </g>
      </g>
      <g transform="translate(780,-20)">
        <use x="-90"  y="21"  xlink:href="#seminima"  />
        <use x="-60"  y="14"  xlink:href="#seminima"  />
        <use x="-30"  y="7"   xlink:href="#seminima"  />
        <use x="0"    y="0"   xlink:href="#seminima"  />
        <use x="-120" y="28"  xlink:href="#semibreve" />
        <use x="60"   y="-14" xlink:href="#seminima"  />
        <use x="90"   y="-21" xlink:href="#seminima"  />
        <use x="120"  y="-28" xlink:href="#seminima"  />
        <use x="150"  y="-35" xlink:href="#seminima"  />
        <use x="180"  y="-42" xlink:href="#seminima"  />
        <use x="210"  y="-49" xlink:href="#seminima"  />
        <use x="240"  y="-56" xlink:href="#seminima"  />
        <use x="270"  y="-63" xlink:href="#seminima"  />
      </g>
    </g>

    <g fill="#008000" stroke="#008000" transform="translate(0,-280)">
      <g>
        <g transform="translate(0,-20)">
          <use xlink:href="#linha-supl" x="1200" y="-70" />
          <use xlink:href="#linha-supl" x="1230" y="-70" />
          <use xlink:href="#linha-supl" x="1260" y="-70" />
          <use xlink:href="#linha-supl" x="1260" y="-84" />
          <use xlink:href="#pentagrama" x="0"    y="0"   />
          <use xlink:href="#linha-supl" x="810"  y="14"  />
          <use xlink:href="#linha-supl" x="840"  y="14"  />
        </g>
        <g>
          <use transform="translate( 0,182)" xlink:href="#cl-G"  />
          <use transform="translate(76,  5)" xlink:href="#cl-15" />
        </g>
      </g>
      <g transform="translate(1200,-20)">
        <use x="-120" y="28"  xlink:href="#seminima"  />
        <use x="-90"  y="21"  xlink:href="#seminima"  />
        <use x="-60"  y="14"  xlink:href="#seminima"  />
        <use x="-30"  y="7"   xlink:href="#seminima"  />
        <use x="0"    y="0"   xlink:href="#seminima"  />
        <use x="-120" y="28"  xlink:href="#semibreve" />
        <use x="60"   y="-14" xlink:href="#seminima"  />
        <use x="90"   y="-21" xlink:href="#seminima"  />
        <use x="120"  y="-28" xlink:href="#seminima"  />
        <use x="150"  y="-35" xlink:href="#seminima"  />
        <use x="180"  y="-42" xlink:href="#seminima"  />
        <use x="210"  y="-49" xlink:href="#seminima"  />
        <use x="240"  y="-56" xlink:href="#seminima"  />
        <use x="270"  y="-63" xlink:href="#seminima"  />
        <use x="300"  y="-70" xlink:href="#seminima"  />
        <use x="330"  y="-77" xlink:href="#seminima"  />
      </g>
    </g>



    <path
      d              = "M -266.43704,388.16812 L -210.40672,388.16812 C -208.77365,388.16812 -207.45897,389.49372 -207.45897,391.14034 L -207.45897,414.19597 C -207.45897,415.84259 -208.77365,417.1682 -210.40672,417.1682 L -266.45905,417.1682"
      fill           = "none"
      stroke         = "#000000"
      stroke-width   = "1"
      stroke-linecap = "square"
      />

    <use x="003.5" y="388.2" xlink:href="#borda" />
    <use x="423.5" y="-34.8" xlink:href="#borda" />
    <use x="843.5" y="-34.8" xlink:href="#borda" />

    <path
      d              = "M 1292.5411,-5.8316885 L 1266.4535,-5.8316885 C 1264.8399,-5.8316885 1263.5408,-7.1573106 1263.5408,-8.8039355 L 1263.5408,-31.859736 C 1263.5408,-33.506361 1264.8399,-34.831984 1266.4535,-34.831984 L 1292.4967,-34.831984"
      fill           = "none"
      stroke         = "#000000"
      stroke-width   = "1"
      stroke-linecap = "square"
      />



  </g>

</svg>



<div id="music-container">

  <input id="music" value="" />
    <input id="play"   type="button" value="▶" onclick="play()" />
    <input id="stop"   type="button" value="◼" onclick="stop()" />
    <input id="limpar" type="button" value="✗" onclick="$('music').value=''" />
    <select id="instrumento">
      <?=$instrument_list?>
    </select>

  <br />

  <select id="colecao">
    <option value="">Digite uma melodia acima, ou escolha uma na lista, ou toque clicando no teclado</option>
    <?=$music_list?>
  </select>

  <div id="buttons">
    <a href="<?=$vxht_url?>" target="_blank" title="<?=$vxht_alt?>"><!--
   --><svg width="139" height="15"><!--
     --><use xlink:href="buttons-obj-inkscape.svg#html5-mathml-svg" /><!--
   --></svg><!--
 --></a><!--
 --><a href="<?=$vcss_url?>" target="_blank" title="<?=$vcss_alt?>"><!--
   --><svg width="90" height="15"><!--
     --><use xlink:href="buttons-obj-inkscape.svg#css" /><!--
   --></svg><!--
 --></a><!--
 --><a href="<?=$vjs_url ?>" target="_blank" title="<?=$vjs_alt?>"><!--
   --><svg width="90" height="15"><!--
     --><use xlink:href="buttons-obj-inkscape.svg#javascript" /><!--
   --></svg><!--
 --></a>
  </div>

</div>



</body>

</html>
